Bug 1300424 - Update python-boto to 2.39
Update python-boto to 2.39
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-boto (Show other bugs)
el6
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 13:35 EST by Andreas Kotes
Modified: 2016-03-25 18:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-boto-2.39.0-1.fc23 python-boto-2.39.0-1.el7 python-boto-2.39.0-1.el6 python-boto-2.39.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-24 21:27:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Kotes 2016-01-20 13:35:25 EST
Description of problem:

The boto library was updated to version 2.39, supporting the new AWS Region ap-northeast-2 / Korea now.

Version-Release number of selected component (if applicable):

2.39

How reproducible:

100% ;)

Steps to Reproduce:
1. use old version
2. try using new region
3. fail

Actual results:

New region unknown to older boto version.

Expected results:

New region known to new boto version.

Additional info:

Nothing ;)
Comment 1 Garrett Holmstrom 2016-01-29 17:17:24 EST
It looks like this version isn't passing its unit tests on python3 in any Fedora release, so this may take a bit of work before an update can go in.
Comment 2 Garrett Holmstrom 2016-01-29 19:53:09 EST
Filed as https://github.com/boto/boto/pull/3483
Comment 3 Fedora Update System 2016-02-02 19:37:02 EST
python-boto-2.39.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-120cf6a8e1
Comment 4 Fedora Update System 2016-02-02 19:37:04 EST
python-boto-2.39.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6caaee01a2
Comment 5 Fedora Update System 2016-02-02 19:37:10 EST
python-boto-2.39.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e7a11b633e
Comment 6 Fedora Update System 2016-02-02 19:37:11 EST
python-boto-2.39.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6f5877d041
Comment 7 Fedora Update System 2016-02-03 17:19:42 EST
python-boto-2.39.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e7a11b633e
Comment 8 Fedora Update System 2016-02-03 17:23:38 EST
python-boto-2.39.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-120cf6a8e1
Comment 9 Fedora Update System 2016-02-03 18:00:54 EST
python-boto-2.39.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6caaee01a2
Comment 10 Fedora Update System 2016-02-03 18:25:39 EST
python-boto-2.39.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6f5877d041
Comment 11 Andreas Kotes 2016-02-05 06:16:40 EST
Whoops, did not expect the package file to be named differently now.
Comment 12 Andreas Kotes 2016-02-05 06:23:09 EST
Fix looks good for me on EL6, somehow I can't see my feedback on https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e7a11b633e ...
Comment 13 Garrett Holmstrom 2016-02-08 04:03:30 EST
How odd.  Neither can I.  You did log in with a FAS account and wait for the page to reload, right?  That usually takes a substantial amount of time.

I did bring the package's name into compliance with Fedora's current policy.  It upgraded correctly, right?
Comment 14 Andreas Kotes 2016-02-08 12:58:58 EST
It upgraded correctly, yes, although the change packages names causes a bit of trouble with the surrounding Puppet I'm using. I'll survive ;)

I didn't use a FAS account, wouldn't even know if I had one.
Comment 15 Fedora Update System 2016-03-24 21:27:24 EDT
python-boto-2.39.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-25 17:26:21 EDT
python-boto-2.39.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-03-25 17:53:11 EDT
python-boto-2.39.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-03-25 18:23:48 EDT
python-boto-2.39.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.